summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-25 00:19:11 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-25 00:19:11 +0200
commitdc30414ab8473c3d30e6ff4accb9f3635ebd5917 (patch)
treeae038fad11b36a0f0c6aaa407085abc956aa0edf
parent3d75220e10122e7e9f82c600a0e38d587c9337d5 (diff)
downloadalienarm-dc30414ab8473c3d30e6ff4accb9f3635ebd5917.tar.gz
alienarm-dc30414ab8473c3d30e6ff4accb9f3635ebd5917.tar.xz
WICD: added a package, was still missing.
-rw-r--r--source.local/extra/source/wicd/README.SLACKWARE17
-rw-r--r--source.local/extra/source/wicd/doinst.sh.gzbin0 -> 512 bytes
-rw-r--r--source.local/extra/source/wicd/slack-desc19
-rw-r--r--source.local/extra/source/wicd/wicd-1.7.2.4.sanitize.string.bugfix.diff.gzbin0 -> 309 bytes
-rwxr-xr-xsource.local/extra/source/wicd/wicd.SlackBuild119
5 files changed, 155 insertions, 0 deletions
diff --git a/source.local/extra/source/wicd/README.SLACKWARE b/source.local/extra/source/wicd/README.SLACKWARE
new file mode 100644
index 0000000..e7a374d
--- /dev/null
+++ b/source.local/extra/source/wicd/README.SLACKWARE
@@ -0,0 +1,17 @@
+After installing this package, make sure the /etc/rc.d/rc.wicd
+script is executable; if necessary, do:
+ chmod +x /etc/rc.d/rc.wicd
+
+Results have varied, but you will probably need/want to remove
+any references to interfaces from /etc/rc.d/rc.inet1.conf - in
+other words, make that file look as if netconfig has never been
+run.
+
+When you start X, you should see a wicd icon in the system tray;
+click on it to open the gui interface and configure as desired.
+Your user account will need to be a member of the 'netdev' group
+in order to use wicd.
+
+Note that urwid will need to be installed if you want to use the
+curses client. Also, if you don't have kde installed, you won't
+have a graphical sudo client available.
diff --git a/source.local/extra/source/wicd/doinst.sh.gz b/source.local/extra/source/wicd/doinst.sh.gz
new file mode 100644
index 0000000..c7745a0
--- /dev/null
+++ b/source.local/extra/source/wicd/doinst.sh.gz
Binary files differ
diff --git a/source.local/extra/source/wicd/slack-desc b/source.local/extra/source/wicd/slack-desc
new file mode 100644
index 0000000..47cf875
--- /dev/null
+++ b/source.local/extra/source/wicd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+wicd: wicd (network manager for linux)
+wicd:
+wicd: wicd is a wired and wireless network manager for Linux.
+wicd: Some features include:
+wicd: - Ability to connect to wired and wireless networks
+wicd: - Profiles for each wireless network and wired network
+wicd: - Many encryption schemes, some of which include WEP/WPA/WPA2
+wicd: - Compatible with wireless-tools
+wicd:
+wicd: Homepage: http://wicd.net
+wicd:
diff --git a/source.local/extra/source/wicd/wicd-1.7.2.4.sanitize.string.bugfix.diff.gz b/source.local/extra/source/wicd/wicd-1.7.2.4.sanitize.string.bugfix.diff.gz
new file mode 100644
index 0000000..5e7d9e0
--- /dev/null
+++ b/source.local/extra/source/wicd/wicd-1.7.2.4.sanitize.string.bugfix.diff.gz
Binary files differ
diff --git a/source.local/extra/source/wicd/wicd.SlackBuild b/source.local/extra/source/wicd/wicd.SlackBuild
new file mode 100755
index 0000000..8963e7c
--- /dev/null
+++ b/source.local/extra/source/wicd/wicd.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/sh
+
+# Copyright 2008,2009,2010,2011,2012 Robby Workman Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2013 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PRGNAM=wicd
+VERSION=${VERSION:-1.7.2.4}
+BUILD=${BUILD:-4}
+
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
+else
+ # Automatically determine the architecture we're building on:
+ MARCH=$( uname -m )
+ if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ else
+ LIBDIRSUFFIX=""
+ fi
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/wicd-1.7.2.4.sanitize.string.bugfix.diff.gz | patch -p1 --verbose || exit 1
+
+python setup.py configure \
+ --lib=/usr/lib${LIBDIRSUFFIX}/wicd \
+ --kdedir=/usr/share/autostart \
+ --backends=/usr/lib${LIBDIRSUFFIX}/wicd/backends \
+ || exit 1
+
+# Bypass the need for pybabel (thanks, dapal!)
+for pofile in $(find po/ -type f -name "*.po") ; do
+ mkdir -p translations/$(basename ${pofile} .po)/LC_MESSAGES
+ msgfmt -o translations/$(basename ${pofile} .po)/LC_MESSAGES/wicd.mo ${pofile}
+done
+
+python setup.py install --root=$PKG || exit 1
+
+# Handle some Slackware defaults
+# Use dhcpcd as the dhcp client
+# Use kdesu as the graphical sudo application
+cat << EOF > $PKG/etc/wicd/manager-settings.conf.new
+[Settings]
+dhcp_client = 2
+sudo_app = 2
+EOF
+
+# Don't clobber configs on upgrade
+mv $PKG/etc/dbus-1/system.d/wicd.conf $PKG/etc/dbus-1/system.d/wicd.conf.new
+mv $PKG/etc/logrotate.d/wicd.logrotate $PKG/etc/logrotate.d/wicd.logrotate.new
+mv $PKG/etc/rc.d/rc.wicd $PKG/etc/rc.d/rc.wicd.new
+
+# Compress the man pages and add a bit to the package docs
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -c n -l y $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+